net.sourceforge.pmd.lang.ecmascript.ast

## Class EcmascriptTreeBuilder

- java.lang.Object
- - net.sourceforge.pmd.lang.ecmascript.ast.EcmascriptTreeBuilder

- All Implemented Interfaces:
    org.mozilla.javascript.ast.NodeVisitor

      public final class EcmascriptTreeBuilder
      extends Object
      implements org.mozilla.javascript.ast.NodeVisitor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Stack<Node>` | `nodes`
    `protected Stack<org.mozilla.javascript.ast.AstNode>` | `parents`
    `protected List<org.mozilla.javascript.ast.ParseProblem>` | `parseProblems`
    `protected Map<org.mozilla.javascript.ast.ParseProblem,TrailingCommaNode>` | `parseProblemToNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcmascriptTreeBuilder(String sourceCode, List<org.mozilla.javascript.ast.ParseProblem> parseProblems)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends org.mozilla.javascript.ast.AstNode> EcmascriptNode<T>` | `build(T astNode)`
    `boolean` | `visit(org.mozilla.javascript.ast.AstNode node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parseProblems

          protected List<org.mozilla.javascript.ast.ParseProblem> parseProblems

    - #### parseProblemToNode

          protected Map<org.mozilla.javascript.ast.ParseProblem,TrailingCommaNode> parseProblemToNode

    - #### nodes

          protected Stack<Node> nodes

    - #### parents

          protected Stack<org.mozilla.javascript.ast.AstNode> parents

  - ### Constructor Detail

    - #### EcmascriptTreeBuilder

          public EcmascriptTreeBuilder(String sourceCode,
                               List<org.mozilla.javascript.ast.ParseProblem> parseProblems)

  - ### Method Detail

    - #### build

          public <T extends org.mozilla.javascript.ast.AstNode> EcmascriptNode<T> build(T astNode)

    - #### visit

          public boolean visit(org.mozilla.javascript.ast.AstNode node)

      Specified by:
        `visit` in interface `org.mozilla.javascript.ast.NodeVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.